cc_string Struct Reference

| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | Related Functions | List of all members
cc_string Struct Reference
Base Classes

The cc_string type is a C ADT for ASCII string management.This is a Coin extension. More...

`#include <Inventor/C/base/string.h>`

## Public Attributes
char * | pointer
size_t | bufsize
char | buffer [CC_STRING_MIN_SIZE]

## Related Functions
(Note that these are not member functions.)
void | cc_string_remove_substring (cc_string *me, int start, int end)
void | cc_string_construct (cc_string *me)
cc_string * | cc_string_construct_new (void)
cc_string * | cc_string_clone (const cc_string *string)
void | cc_string_clean (cc_string *string_struct)
void | cc_string_destruct (cc_string *me)
void | cc_string_set_text (cc_string *me, const char *text)
void | cc_string_set_subtext (cc_string *me, const char *text, int start, int end)
void | cc_string_set_integer (cc_string *me, int integer)
void | cc_string_set_string (cc_string *me, const cc_string *string)
void | cc_string_append_string (cc_string *me, const cc_string *string)
void | cc_string_append_text (cc_string *me, const char *text)
void | cc_string_append_integer (cc_string *me, const int digits)
void | cc_string_append_char (cc_string *me, const char c)
unsigned int | cc_string_length (const cc_string *me)
void | cc_string_clear (cc_string *me)
void | cc_string_clear_no_free (cc_string *me)
uint32_t | cc_string_hash_text (const char *text)
uint32_t | cc_string_hash (const cc_string *me)
const char * | cc_string_get_text (const cc_string *me)
int | cc_string_is (const cc_string *me)
int | cc_string_compare (const cc_string *lhs, const cc_string *rhs)
int | cc_string_compare_text (const char *lhs, const char *rhs)
int | cc_string_compare_subtext (const cc_string *me, const char *text, int offset)
void | cc_string_apply (cc_string *string, cc_apply_f function)
void | cc_string_sprintf (cc_string *me, const char *formatstr,...)
void | cc_string_vsprintf (cc_string *me, const char *formatstr, va_list args)

## Detailed Description

The cc_string type is a C ADT for ASCII string management.

This is a Coin extension.

The documentation for this struct was generated from the following files:

- string.h
- string.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.